//+------------------------------------------------------------------+
//|                                          Copyright 2020, MQLAuth |
//|                                            https://mql-auth.com/ |
//+------------------------------------------------------------------+
#include <MQLAuth.mqh>

#property copyright "Copyright 2020, MQLAuth"
#property link      "https://mql-auth.com/"
#property version   "1.00"
#property strict
#property indicator_chart_window

#resource "\\Include\\Images\\MQLAuthLogo.bmp"

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnInit() {
   Auth_ShowBMPIMG("\\Include\\Images\\MQLAuthLogo.bmp", "MQLAuth_LOGO", CORNER_LEFT_LOWER);

   return(INIT_SUCCEEDED);
}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnDeinit(const int reason) {
   ObjectsDeleteAll(0, "MQLAuth_LOGO", EMPTY, EMPTY);
}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[]) {
   return(rates_total);
}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam) {
   if(id == CHARTEVENT_OBJECT_CLICK) {
      if(StringFind(sparam, "MQLAuth_LOGO", 0) >= 0)
         bool result = Auth_OpenURL("https://mql-auth.com/");
   }
}